> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/release-notes/ja/sdk/july-2025/d1-sdk-v4.1.0.md).

# D1 SDK v4.1.0

{% hint style="warning" %}
**必須アップデート**
{% endhint %}

{% tabs %}
{% tab title="Android" %}

#### 対応プラットフォームとプロセッサアーキテクチャ <a href="#supported-platforms--processor-architectures" id="supported-platforms--processor-architectures"></a>

* Android 8.0.0以降。
* プロセッサアーキテクチャ: armeabi-v7a、arm64-v8a、x86、x86\_64。

#### 一般 <a href="#bug-fixes" id="bug-fixes"></a>

**改善**

* への準拠 [16 KBのGoogle Play互換要件](https://developer.android.com/guide/practices/page-sizes)。これは2025年11月1日から有効になります。
* D1 SDKのセキュリティ強化。

#### プッシュプロビジョニング <a href="#bug-fixes" id="bug-fixes"></a>

**新機能**

* Push to Google Pay、Push to Samsung Pay向けの新しいAmexスキームのサポート。

#### 3Dセキュア

**新機能**

* 生体認証でのアプリドメインバインディングをサポートします。
* アプリ切り替えをサポートします。

**不具合修正**

* 再登録時にAndroid 8で動作していなかった [プラットフォーム](https://thalesgroup.github.io/d1sdk-docs/d1-sdk/latest/android/com/thalesgroup/gemalto/d1/authn/AuthnType.html#PLATFORM) タイプの3DS認証処理を修正しました。

#### NFCウォレット

**新機能**

* \- 新しいAPIを追加しました。 `D1PayConfigParams.setTransactionRetryLimit` および `D1PayConfigParams.setTransactionRetryTimeout`。D1 Pay - 支払い設定向けです。新しい `D1PayConfigParams.setTransactionRetryLimit` APIは、接続が中断された場合にPOS端末が実行する非接触支払い取引の最大再試行回数を設定するために使用されます。 `D1PayConfigParams.setTransactionRetryTimeout` APIは、エラーを返す前にPOS端末が取引の再試行を待機する時間（秒）を設定するために使用されます。\
  \- プッシュ通知なしのカードデジタル化をサポートします。

  > <i class="fa-info-circle">:info-circle:</i>
  >
  > デジタル化プロセスではプッシュ通知が不要になったため、以下のAPIは不要となり非推奨です。
  >
  > * [setPollingIntervalForDigitization](https://thalesgroup.github.io/d1sdk-docs/d1-sdk/latest/android/com/thalesgroup/gemalto/d1/d1pay/D1PayConfigParams.html#setPollingIntervalForDigitization\(int\))
  > * [setPollingEndTimeForDigitization](https://thalesgroup.github.io/d1sdk-docs/d1-sdk/latest/android/com/thalesgroup/gemalto/d1/d1pay/D1PayConfigParams.html#setPollingEndTimeForDigitization\(int\))
  >
  > Thalesインテグレータは `onSuccess` のコールバックに依存します。 [AddDigitalCard()](https://thalesgroup.github.io/d1sdk-docs/d1-sdk/latest/android/com/thalesgroup/gemalto/d1/d1pay/D1PayWallet.html#addDigitalCard\(java.lang.String,com.thalesgroup.gemalto.d1.D1Task.Callback\)) APIを使用してデジタル化プロセスを完了します。
* サポートします [16 KBのページサイズ](https://thales-dis-dbp.stoplight.io/docs/d1-caas/1.development/sdk-configuration/1.binary/android.md#support-16-kb-page-sizes) をGoogle Playの互換性要件に準拠させるためです。この要件に準拠するには、JNA依存関係を5.17以降に、AGPバージョンを8.5.1以降に更新する必要があります。
* 以前D1 SDK内に統合されていたサードパーティのGoogle Tap and Payライブラリは難読化されました。その結果、インテグレータはD1 SDKを介してTap and Payライブラリに直接アクセスできなくなりました。アプリケーションでTap and Pay APIへのアクセスが必要な場合は、実装内に独自のライブラリコピーを含める必要があります。

<br>
{% endtab %}

{% tab title="iOS" %}

#### 対応プラットフォームとプロセッサアーキテクチャ <a href="#supported-platforms--processor-architectures" id="supported-platforms--processor-architectures"></a>

* iOS 15以降。
* プロセッサアーキテクチャ: arm64、x86\_64。

#### 一般 <a href="#bug-fixes" id="bug-fixes"></a>

**改善**

* 2025年9月中旬にリリース予定のiOS 26との互換性。
* D1 SDKのセキュリティ強化。

**不具合修正**

* ビットコードのサポートを削除しました。

#### プッシュプロビジョニング <a href="#bug-fixes" id="bug-fixes"></a>

**新機能**

* Push to Apple Pay向けの新しいAmexスキームのサポート。
* Wallet Extensionsを使用して、1台のデバイスで複数のアカウントをサポートします。この機能は新しいパラメータ `last4`によって管理され、 [ConfigParam.CardParams](https://thalesgroup.github.io/d1sdk-docs/d1-sdk/latest/ios/Structs/ConfigParams.html#/s:2D112ConfigParamsV015walletExtensionB004cardC4List10appGroupIDACSayAC04CardC0VG_SStFZ) の初期化に使用されます。\
  &#x20;[`last4` パラメータが指定された場合](https://thales-dis-dbp.stoplight.io/docs/d1-caas/650b8d9621fa0-apple-wallet-extension#note-1)、Apple Walletにすでにあるカードの下4桁と比較して、カードがすでにApple Walletにあるかどうかの確認に使用されます。これにより、Wallet拡張機能でカードの現在の状態を正確に表示できます。
* Push to Apple Payは、PagoBANCOMATスキームのコブランデッドカードをサポートするようになりました。

**不具合修正**

デジタル化中にiOS 26 Betaでクラッシュする不具合を修正しました。

#### 3Dセキュア

**新機能**

* 生体認証でのアプリドメインバインディングをサポートします。
* アプリ切り替えをサポートします。
  {% endtab %}
  {% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.payments.thalescloud.io/release-notes/ja/sdk/july-2025/d1-sdk-v4.1.0.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
